Bug 19925 - genhdlist does not handle duplicated RPMs
Summary: genhdlist does not handle duplicated RPMs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-27 16:36 UTC by Miguel Freitas
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-08 19:08:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miguel Freitas 2000-10-27 16:36:25 UTC
package: anaconda-runtime

  When running genhdlist I made a mistake putting the same RPM on both instalation CDs. It gave no error on this. During the instalation anaconda asked for a disk numbered -2167455... (don't remember the exact number was about -2x10^31).

  I think you should improve genhdlist to warn about duplicated files and anaconda to do some sanity checkings before asking for something like that...

Comment 1 Erik Troan 2000-12-08 19:08:13 UTC
Added a  nice error message.

Comment 2 Aaron Brown 2000-12-19 17:28:24 UTC
Verified that the error message came up.



Note You need to log in before you can comment on or make changes to this bug.